<html devsite><head>
    <title>Nexus 보안 게시판—2016년 1월</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p><em>2016년 1월 4일 게시됨 | 2016년 4월 28일 업데이트됨</em></p>

<p>Google의 Android 보안 게시판 월간 출시 과정의 일환으로 무선
업데이트를 통해 Nexus 기기 보안 업데이트가 출시되었습니다.
또한 Nexus 펌웨어 이미지도 <a href="https://developers.google.com/android/nexus/images">Google 개발자 사이트</a>에 출시되었습니다. 다음 문제는 빌드 LMY49F 이상 및 2016년 1월 1일 보안 패치 수준이 포함된 Android 6.0
이상에서 해결됩니다. 자세한 내용은 <a href="#common_questions_and_answers">일반적인 질문 및 답변</a> 섹션을 참조하세요.</p>

<p>2015년 12월 7일 이전에 게시판을 통해 파트너에게 이 문제에 대한 알림이 전달되고
업데이트가 제공되었습니다. 해당하는 경우, 소스 코드 패치가
Android 오픈소스 프로젝트(AOSP) 저장소에 배포되었습니다.</p>

<p>이 중 가장 심각한 문제는 미디어 파일을 처리할 때
이메일, 웹 탐색, MMS 등 여러 방법을 통해 대상 기기에서
원격으로 코드를 실행할 수 있게 하는 심각한 보안 취약성입니다. <a href="/security/overview/updates-resources.html#severity">심각도
평가</a>는
개발 목적으로 플랫폼 및 서비스 완화를 사용할 수 없거나
우회에 성공한 경우 취약성 악용으로 인해 대상 기기가 받는 영향을
기준으로 내려집니다.</p>

<p>실제 고객이 새로 보고된 이러한 문제로 인해 악용당했다는 신고는 접수되지
않았습니다. SafetyNet과 같이 Android 플랫폼의 보안을 개선하는
<a href="/security/enhancements/index.html">Android 보안 플랫폼 보호</a>
및 서비스 보호 기능에 관해 자세히 알아보려면 <a href="#mitigations">완화</a> 섹션을 참조하세요. 모든 고객은 기기에서 이 업데이트를 수락하는 것이
좋습니다.</p>

<h2 id="mitigations">완화</h2>

<p>다음은 SafetyNet과 같은 <a href="/security/enhancements/index.html">Android 보안 플랫폼</a> 및
서비스 보호 기능에서 제공하는 완화를 요약한
내용입니다. 이러한 기능을 통해 Android에서
보안 취약성이 악용될 가능성을
줄일 수 있습니다.</p>

<ul>
  <li> Android 플랫폼 최신 버전의 향상된 기능으로 Android의 여러 문제를
악용하기 더욱 어려워졌습니다. 가능한 경우 모든 사용자는
Android 최신 버전으로 업데이트하는 것이 좋습니다.
  </li><li> Android 보안팀에서는 유해할 수 있는 애플리케이션이 설치될 때
경고를 보내는 앱 인증 및 SafetyNet을 사용하여 악용사례를 적극적으로
모니터링합니다. Google Play 내에서 기기 루팅 도구는 금지되어 있습니다. Google Play
외부에서 가져온 애플리케이션을 설치하는 사용자를 보호하기 위해 앱 인증이
기본적으로 사용 설정되며 알려진 루팅 애플리케이션이 감지되면 경고를 표시합니다. 앱
인증에서는 권한 승격 취약성을 악용하는 것으로 알려진 악성 애플리케이션을
식별하고 차단합니다. 이러한 애플리케이션이
이미 설치된 경우 앱 인증에서 사용자에게 이를 알리고
애플리케이션 삭제를 시도합니다.
  </li><li> Google 행아웃과 메신저 애플리케이션은 미디어 서버와 같은 프로세스에
미디어를 자동으로 전달하지 않습니다.
</li></ul>

<h2 id="acknowledgements">감사의 말씀</h2>

<p>참여해 주신 다음 연구원에게 감사드립니다.</p>

<ul>
  <li> Chrome 보안팀의 Abhishek Arya, Oliver Chang,
       Martin Barbella: CVE-2015-6636
  </li><li> Tencent(<a href="https://twitter.com/k33nteam">@K33nTeam</a>) KEEN lab의 Sen Nie(<a href="https://twitter.com/@nforest_">@nforest_</a>)
       jfang: CVE-2015-6637
  </li><li> Android Bionic팀의 Yabin Cui: CVE-2015-6640
  </li><li> Google X의 Tom Craig: CVE-2015-6641
  </li><li> Jann Horn(<a href="https://thejh.net">https://thejh.net</a>): CVE-2015-6642
  </li><li> Jouni Malinen PGP(id: EFC895FA): CVE-2015-5310
  </li><li> Google 정보 보안 엔지니어팀의 Quan Nguyen: CVE-2015-6644
  </li><li> Gal Beniamini(<a href="https://twitter.com/@laginimaineb">@laginimaineb</a>,
       <a href="http://bits-please.blogspot.com">http://bits-please.blogspot.com</a>): CVE-2015-6639
</li></ul>

<h2 id="security_vulnerability_details">보안 취약성 세부정보</h2>

<p>다음 섹션에서는 2016-01-01 패치 수준에 적용되는
각 보안 취약성에 관해 자세히 알아볼 수 있습니다.
여기에는 문제에 대한 설명, 심각도 근거 및 CVE,
관련 버그, 심각도, 업데이트된 버전, 신고된 날짜가 포함된 표가 제시됩니다.
가능한 경우 문제를 해결한 AOSP 변경사항을 버그 ID에 연결합니다.
하나의 버그와 관련된 변경사항이 여러 개인 경우
추가 AOSP 참조가 버그 ID 다음에 오는 번호에 연결됩니다. </p>

<h3 id="remote_code_execution_vulnerability_in_mediaserver">미디어 서버의 원격 코드 실행 취약성</h3>

<p>특별히 제작된 파일을 미디어 파일 및 데이터 처리하는 동안
미디어 서버의 취약성을 통해 공격자가 메모리 손상을 일으키고
원격 코드가 미디어 서버 프로세스로 실행되도록 할 수 있습니다.</p>

<p>문제의 기능은 운영체제의 핵심 부분이며, 여러 애플리케이션에서
이 기능이 원격 콘텐츠, 특히 MMS와 미디어의 브라우저 재생에
접근할 수 있게 허용합니다.</p>

<p>이 문제는 미디어 서버 서비스 내에서 원격 코드를 실행할 가능성이 있으므로
심각도 심각으로 평가됩니다. 미디어 서버 서비스는
오디오와 동영상 스트림뿐 아니라 타사 앱이 일반적으로
액세스할 수 없는 권한에 액세스할 수 있습니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>업데이트된 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td rowspan="2">CVE-2015-6636</td>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Flibhevc/+/b9f7c2c45c6fe770b7daffb9a4e61522d1f12d51#">ANDROID-25070493</a></td>
    <td>심각</td>
    <td>5.0, 5.1.1, 6.0, 6.0.1</td>
    <td>Google 사내용</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Flibhevc/+/e8bfec1fa41eafa1fd8e05d0fdc53ea0f2379518">ANDROID-24686670</a></td>
    <td>심각</td>
    <td>5.0, 5.1.1, 6.0, 6.0.1</td>
    <td>Google 사내용</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_misc-sd_driver">misc-sd 드라이버의 권한 승격 취약성</h3>

<p>MediaTek의 misc-sd 드라이버 권한 승격 취약성으로 인해
로컬 악성 애플리케이션이 커널 내에서 임의의 코드를 실행할 수
있습니다. 이 문제는 영구적인 로컬 기기 손상을 일으킬 가능성이 있으므로 심각도 심각으로 평가되며, 기기를 수리하려면 운영체제를 재설치해야 할 수도 있습니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>버그</th>
    <th>심각도</th>
    <th>업데이트된 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td>CVE-2015-6637</td>
    <td>ANDROID-25307013*</td>
    <td>심각</td>
    <td>4.4.4, 5.0, 5.1.1, 6.0, 6.0.1</td>
    <td>2015년 10월 26일</td>
 </tr>
</tbody></table>

<p> * 이 문제에 관한 패치는 AOSP에 포함되어 있지 않습니다. 업데이트는
<a href="https://developers.google.com/android/nexus/drivers">Google 개발자 사이트</a>에서 제공되는 Nexus 기기용 최신 바이너리 드라이버에 포함되어 있습니다.</p>

<h3 id="elevation_of_privilege_vulnerability_in_the_imagination_technologies_driver">Imagination Technologies 드라이버의 권한 승격 취약성</h3>

<p>Imagination Technologies 커널 드라이버의 권한 승격 취약성을 악용하여
로컬 악성 애플리케이션은 커널 내에서 임의의 코드를
실행할 수 있습니다. 이 문제는 영구적인 로컬 기기 손상을 일으킬 가능성이 있으므로 심각도 심각으로 평가되며, 기기를 수리하려면 운영체제를 재설치해야 할 수도 있습니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>버그</th>
    <th>심각도</th>
    <th>업데이트된 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td>CVE-2015-6638</td>
    <td>ANDROID-24673908*</td>
    <td>심각</td>
    <td>5.0, 5.1.1, 6.0, 6.0.1</td>
    <td>Google 사내용</td>
 </tr>
</tbody></table>

<p> * 이 문제에 관한 패치는 AOSP에 포함되어 있지 않습니다. 업데이트는
<a href="https://developers.google.com/android/nexus/drivers">Google 개발자 사이트</a>에서 제공되는 Nexus 기기용 최신 바이너리 드라이버에 포함되어 있습니다.</p>

<h3 id="elevation_of_privilege_vulnerabilities_in_trustzone">Trustzone의 권한 승격 취약성</h3>

<p>Widevine QSEE TrustZone 애플리케이션의 권한 승격 취약성으로 인해
QSEECOM에 액세스하는 도용된 애플리케이션이 Trustzone 컨텍스트 내에서
임의의 코드를 실행할 수 있습니다. 이 문제는 영구적인 로컬 기기 손상을 일으킬 가능성이 있으므로 심각도 심각으로 평가되며, 기기를 수리하려면 운영체제를 재설치해야 할 수도 있습니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>버그</th>
    <th>심각도</th>
    <th>업데이트된 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td>CVE-2015-6639</td>
    <td>ANDROID-24446875*</td>
    <td>심각</td>
    <td>5.0, 5.1.1, 6.0, 6.0.1</td>
    <td>2015년 9월 23일</td>
 </tr>
 <tr>
    <td>CVE-2015-6647</td>
    <td>ANDROID-24441554*</td>
    <td>심각</td>
    <td>5.0, 5.1.1, 6.0, 6.0.1</td>
    <td>2015년 9월 27일</td>
 </tr>
</tbody></table>

<p> * 이 문제에 관한 패치는 AOSP에 포함되어 있지 않습니다. 업데이트는
<a href="https://developers.google.com/android/nexus/drivers">Google 개발자 사이트</a>에서 제공되는 Nexus 기기용 최신 바이너리 드라이버에 포함되어 있습니다.</p>

<h3 id="elevation_of_privilege_vulnerability_in_kernel">커널의 권한 승격 취약성</h3>

<p>커널의 권한 승격 취약성으로 인해 로컬 악성 애플리케이션이
커널 내에서 임의의 코드를 실행할 수 있습니다. 이 문제는 영구적인 로컬 기기 손상을 일으킬 가능성이 있으므로 심각도 심각으로 평가되며, 기기를 수리하려면 운영체제를 재설치해야 할 수도 있습니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>업데이트된 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td>CVE-2015-6640</td>
    <td><a href="https://android.googlesource.com/kernel%2Fcommon/+/69bfe2d957d903521d32324190c2754cb073be15">ANDROID-20017123</a></td>
    <td>심각</td>
    <td>4.4.4, 5.0, 5.1.1, 6.0</td>
    <td>Google 사내용</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_bluetooth">블루투스의 권한 승격 취약성</h3>

<p>블루투스 구성요소의 권한 승격 취약성으로 인해 블루투스로 페어링된 원격 기기가 사용자의 개인정보(주소록)에 액세스할 수 있습니다. 이 문제는 '<a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">위험한</a>' 기능에 원격으로 액세스할 수 있으므로
심각도 높음으로 평가됩니다. 이 권한은 로컬에 설치된 타사 애플리케이션에만
액세스할 수 있습니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>업데이트된 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td>CVE-2015-6641</td>
    <td><a href="https://android.googlesource.com/platform%2Fpackages%2Fapps%2FSettings/+/98f11fd1a4752beed56b5fe7a4097ec0ae0c74b3">ANDROID-23607427</a> [<a href="https://android.googlesource.com/platform%2Fframeworks%2Fbase/+/ccbe7383e63d7d23bac6bccc8e4094fe474645ec">2</a>]</td>
    <td>높음</td>
    <td>6.0, 6.0.1</td>
    <td>Google 사내용</td>
 </tr>
</tbody></table>

<h3 id="information_disclosure_vulnerability_in_kernel">커널의 정보 공개 취약성</h3>

<p>커널의 정보 공개 취약성으로 인해 공격자가 플랫폼을
악용하기 어렵도록 마련된 보안 장치를 우회할 수
있습니다. 이 문제는 <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">서명</a> 또는 <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">SignatureOrSystem</a> 권한과 같이 타사 애플리케이션이 액세스할 수 없는 승격된 권한을 부여하는 데 사용될 수 있으므로 심각도 높음으로 평가됩니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>버그</th>
    <th>심각도</th>
    <th>업데이트된 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td>CVE-2015-6642</td>
    <td>ANDROID-24157888*</td>
    <td>높음</td>
    <td>4.4.4, 5.0, 5.1.1, 6.0</td>
    <td>2015년 9월 12일</td>
 </tr>
</tbody></table>
<p> * 이 문제에 관한 패치는 AOSP에 포함되어 있지 않습니다. 업데이트는
<a href="https://developers.google.com/android/nexus/drivers">Google 개발자 사이트</a>에서 제공되는 Nexus 기기용 최신 바이너리 드라이버에 포함되어 있습니다.</p>

<h3 id="elevation_of_privilege_vulnerability_in_setup_wizard">설치 마법사의 권한 승격 취약성</h3>

<p>설치 마법사의 권한 승격 취약성으로 인해 기기에 대한
피지컬 액세스 권한이 있는 공격자가 기기 설정에 액세스하고
수동으로 초기화할 수 있습니다. 이 문제는 초기화 보호와 관련하여 부적절한 작업을 수행하는 데 사용될 수 있어서 심각도 보통으로 평가됩니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>업데이트된 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td>CVE-2015-6643</td>
    <td><a href="https://android.googlesource.com/platform/packages/apps/Settings/+/665ac7bc29396fd5af2ecfdfda2b9de7a507daa0">ANDROID-25290269</a> [<a href="https://android.googlesource.com/platform/packages/apps/Settings/+/a7ff2e955d2509ed28deeef984347e093794f92b">2</a>]</td>
    <td>보통</td>
    <td>5.1.1, 6.0, 6.0.1</td>
    <td>Google 사내용</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_wi-fi">Wi-Fi의 권한 승격 취약성</h3>

<p>Wi-Fi 구성요소의 권한 승격 취약성으로 인해 로컬에서
가까운 공격자가 Wi-Fi 서비스 관련 정보에 액세스할 수 있습니다.
이 기기는 로컬 근접 상황에서 이 문제에만 취약합니다. 이 문제는
'<a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">일반</a>' 기능에 원격으로 액세스하는 데 사용될 수 있어서 심각도 보통으로 평가됩니다. 이 권한은 로컬에 설치된
타사 애플리케이션에만 액세스할 수 있습니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>업데이트된 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td>CVE-2015-5310</td>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Fwpa_supplicant_8/+/1e9857b5f1dd84ac5a0ada0150b1b9c87d44d99d">ANDROID-25266660</a></td>
    <td>보통</td>
    <td>4.4.4, 5.0, 5.1.1, 6.0, 6.0.1</td>
    <td>2015년 10월 25일</td>
 </tr>
</tbody></table>

<h3 id="information_disclosure_vulnerability_in_bouncy_castle">Bouncy Castle의 정보 공개 취약성</h3>

<p>Bouncy Castle의 정보 공개 취약성으로 인해 로컬
악성 애플리케이션이 사용자의 개인정보에 액세스할 수 있습니다. 이 문제는
부적절하게 '<a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">위험한</a>' 권한을 얻는 데 사용될 수 있어서 심각도 보통으로 평가됩니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>업데이트된 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td>CVE-2015-6644</td>
    <td><a href="https://android.googlesource.com/platform/external/bouncycastle/+/3e128c5fea3a0ca2d372aa09c4fd4bb0eadfbd3f">ANDROID-24106146</a></td>
    <td>보통</td>
    <td>4.4.4, 5.0, 5.1.1, 6.0, 6.0.1</td>
    <td>Google 사내용</td>
 </tr>
</tbody></table>

<h3 id="denial_of_service_vulnerability_in_syncmanager">SyncManager의 서비스 거부(DoS) 취약성</h3>

<p>SyncManager의 서비스 거부 취약성으로 인해 로컬 악성 애플리케이션이 재부팅 루프를 유발할 수 있습니다. 이 문제는 초기화를 통해
해결해야 하는 일시적인 서비스 거부를 유발하는 데
사용될 수 있어서 심각도 보통으로 평가됩니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>업데이트된 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td>CVE-2015-6645</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fbase/+/c0f39c1ece72a05c796f7ba30b7a2b5b580d5025">ANDROID-23591205</a></td>
    <td>보통</td>
    <td>4.4.4, 5.0, 5.1.1, 6.0</td>
    <td>Google 사내용</td>
 </tr>
</tbody></table>

<h3 id="attack_surface_reduction_for_nexus_kernels">Nexus 커널의 공격 범위 축소</h3>

<p>SysV IPC는 Android 커널에서 지원되지 않습니다. SysV IPC는 악성 애플리케이션에 의해 악용될 수 있는 시스템에 기능을 추가하지 않으면서 공격 범위를 더 노출하기 때문에 OS에서 삭제했습니다. 또한 할당된 리소스는
메모리 관리자가 제거할 수 없어서 전반적인 커널 리소스 누출을 유발하기 때문에,
System V IPC는 Android의 애플리케이션 수명 주기와
호환되지 않습니다. 이 변경사항은 CVE-2015-7613과 같은 문제를 해결합니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>버그</th>
    <th>심각도</th>
    <th>업데이트된 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td>CVE-2015-6646</td>
    <td>ANDROID-22300191*</td>
    <td>보통</td>
    <td>6.0</td>
    <td>Google 사내용</td>
 </tr>
</tbody></table>

<p> * 이 문제에 관한 패치는 AOSP에 포함되어 있지 않습니다. 업데이트는
<a href="https://developers.google.com/android/nexus/drivers">Google 개발자 사이트</a>에서 제공되는 Nexus 기기용 최신 바이너리 드라이버에 포함되어 있습니다.</p>

<h3 id="common_questions_and_answers">일반적인 질문 및 답변</h3>

<p>이 섹션에서는 게시판을 읽은 뒤 제기될 수 있는 일반적인 질문에 대한 답변을
제시합니다.</p>

<p><strong>1. 내 기기가 업데이트되어 이 문제가 해결되었는지 어떻게 알 수 있나요? </strong></p>

<p>위의 문제는 빌드 LMY49F 이상 및 2016년 1월 1일 보안 패치 수준이 포함된
Android 6.0 이상에서 해결됩니다. 보안 패치 수준을 확인하는 방법에 대한 안내는 <a href="https://support.google.com/nexus/answer/4457705">Nexus 도움말</a>을 참조하세요. 이 업데이트를
포함하는 기기 제조업체는 패치 문자열 수준을 다음과 같이 설정해야 합니다.
[ro.build.version.security_patch]:[2016-01-01] </p>

<h2 id="revisions">수정 내역</h2>

<ul>
  <li> 2016년 1월 4일: 게시판이 게시됨
  </li><li> 2016년 1월 6일: 게시판이 수정되어 AOSP 링크 포함됨
  </li><li> 2016년 4월 28일: 감사의 말씀에서 CVE-2015-6617을 삭제했으며 요약 표에 CVE-2015-6647을 추가함

</li></ul></body></html>